Package org.gradle.api.artifacts

## Interface VersionCatalog

- All Superinterfaces:
    `Named`

      @Incubating
      @NonNullApi
      public interface VersionCatalog
      extends Named

  Provides access to a version catalog. Unlike generated extension classes for catalogs, there is no guarantee that the requested aliases exist so you must check existence on the returned optional values.
  Since:
    7.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<Provider<ExternalModuleDependencyBundle>>` | `findBundle​(String bundle)` | Returns the dependency provider for the corresponding bundle.
    `Optional<Provider<MinimalExternalModuleDependency>>` | `findDependency​(String alias)` | Returns the dependency provider for the corresponding alias.
    `Optional<Provider<PluginDependency>>` | `findPlugin​(String alias)` | Returns the plugin dependency provider for the requested alias.
    `Optional<VersionConstraint>` | `findVersion​(String name)` | Returns the version constraint with the corresponding name in the catalog.
    `List<String>` | `getBundleAliases()` | Returns the list of bundles defined in this version catalog.
    `List<String>` | `getDependencyAliases()` | Returns the list of aliases defined in this version catalog.
    `List<String>` | `getPluginAliases()` | Returns the list of plugin aliases defined in this version catalog.
    `List<String>` | `getVersionAliases()` | Returns the list of version aliases defined in this version catalog.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### findDependency

          Optional<Provider<MinimalExternalModuleDependency>> findDependency​(String alias)

      Returns the dependency provider for the corresponding alias.

      Note: Alias will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the dependency

    - #### findBundle

          Optional<Provider<ExternalModuleDependencyBundle>> findBundle​(String bundle)

      Returns the dependency provider for the corresponding bundle.

      Note: Bundle will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `bundle` - the alias of the bundle

    - #### findVersion

          Optional<VersionConstraint> findVersion​(String name)

      Returns the version constraint with the corresponding name in the catalog.

      Note: Name will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `name` - the name of the version

    - #### findPlugin

          Optional<Provider<PluginDependency>> findPlugin​(String alias)

      Returns the plugin dependency provider for the requested alias.

      Note: Alias will be automatically normalized: '-', '_' and '.' will be replaced with '.'

      Parameters:
        `alias` - the alias of the plugin
      Since:
        7.2

    - #### getDependencyAliases

          List<String> getDependencyAliases()

      Returns the list of aliases defined in this version catalog.
      Returns:
        the list of dependency aliases
      Since:
        7.1

    - #### getBundleAliases

          List<String> getBundleAliases()

      Returns the list of bundles defined in this version catalog.
      Returns:
        the list of bundle aliases
      Since:
        7.1

    - #### getVersionAliases

          List<String> getVersionAliases()

      Returns the list of version aliases defined in this version catalog.
      Returns:
        the list of version aliases
      Since:
        7.1

    - #### getPluginAliases

          List<String> getPluginAliases()

      Returns the list of plugin aliases defined in this version catalog.
      Returns:
        the list of plugin aliases
      Since:
        7.2